
# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define buildfor8_2 %(perl -e 'print int(%{mdkversion} == 820)')
%define buildfor9_0 %(perl -e 'print int(%{mdkversion} == 900)')
%define buildfor9_1 %(perl -e 'print int(%{mdkversion} == 910)')
%define buildfor9_2 %(perl -e 'print int(%{mdkversion} == 920)')
%define buildfor10_0 %(perl -e 'print int(%{mdkversion} == 1000)')
%define buildfor10_1 %(perl -e 'print int(%{mdkversion} == 1010)')

%define __libtoolize    /bin/true


%if %buildfor9_2 || %buildfor10_0 || %buildfor10_1
%define unstable 0
%else
%define unstable 0
%endif


Name: 		kdenlive
Version: 	0.2.3
Release: 	9mdk
License: 	GPL
Summary: 	A non-linear video editing application for KDE
Group:		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: 	%name-%version.tar.bz2
BuildRequires:	kdelibs-devel autoconf2.5 automake >= 1.6
Requires: 	piave >= 0.2.2, kdebase >= 3.0.0
Patch1:		kdenlive-0.2.3-dont-compile-doc.patch.bz2

Patch2:		kdenlive-0.2.3-piave-path.patch.bz2
Patch3:		kdenlive-fix-compile-gcc-3.4.patch.bz2
Url:		http://www.uchian.pwp.blueyonder.co.uk/kdenlive.html

%description
Kdenlive is a non-linear vdeo editor for KDE. It relies on a separate renderer, 
piave, to handle it's rendering. Kdenlive supports multitrack editing.

%prep
%setup -q 
%patch1 -p1 -b .dont_compile_doc
%patch2 -p1 -b .piave_path
%patch3 -p1 -b .fix_gcc_3_4

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
		%configure --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable                    
					--enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Create LMDK menu entries
install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kdenlive Multimedia/Video %buildroot/%_datadir/applnk/Multimedia/kdenlive.desktop %buildroot/%_menudir/kdenlive


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%_bindir/*
%_datadir/apps/%{name}
%_datadir/applnk/Multimedia/%{name}.desktop
%_menudir/*

#{_datadir}/doc/HTML/en/%{name}/index.cache.bz2
#%{_datadir}/doc/HTML/en/%{name}/index.docbook
#%{_datadir}/icons/locolor/16x16/apps/%{name}.png
#%{_datadir}/icons/locolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%_datadir/icons/piave.png

%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo

%changelog
* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-9mdk
- Rebuild

* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-8mdk
- grf, forgot the automake buildrequires

* Fri May 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.3-7mdk
- fix buildrequires
- do rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- fix path to qt (lib64 issue)
- added url
- fixed typo

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Fix requires

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-5mdk
- use %%configure
- use mdkversion

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-4mdk
- Fix piave path

* Sun Feb 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-3mdk
- Rebuild

* Tue Jan 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-2mdk
- Add menu entry

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-1mdk
- first package

